% /******************* TO DO *********************
% * countInliers:
% INPUT
%  locs1,locs2: the feature locations for two images
%  match_idx: indices of matching features from the two sets
%  M: a 3-by-3 matrix specifying a translation
%  RANSACthresh: RANSAC distance threshold
% 
% OUTPUT
%  count: number of inliers found
%  inliers: a k-by-1 array of inliers (indices into match_idx)
% 
% This function (called at each RANSAC iteration) identifies and counts the
% matches that support a given translation.  Support is determined by the
% distance RANSACthresh - if a transformed location is within RANSACthresh
% of the location of its match, this pair is considered an inlier.
% */

function [count,inliers]=countInliers(locs1,locs2,match_idx,M, RANSACthresh)

    inliers=[];
    count = 0;

    matches_size=size(match_idx,1);
    for i=1:matches_size
%         // BEGIN TODO
%         // determine if the i-th matched feature, when transformed by M,
%         // is within RANSACthresh of its match
%         //
%         // if so, increment count and append i to inliers
%         //

%         // END TODO
    end
    
